﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace encapsulamento_exercs
{
    class Program
    {

        public class Retangulo
        {
            private double altura { get; set; }
            private double largura { get; set; }

            public void DefineAltura()
            {
                Console.Write("Informe o valor para altura: ");
                this.altura = Convert.ToDouble(Console.ReadLine());
            }

            public void DefineLargura()
            {
                Console.Write("Informe o valor para altura: ");
                this.largura = Convert.ToDouble(Console.ReadLine());
            }

            public Retangulo()
            {
                this.DefineAltura();
                this.DefineLargura();
            }

            public double CalculaArea()
            {
                return this.altura * this.largura;
            }

            public double CalculaPerimetro()
            {
                return (this.altura * 2) + (this.largura * 2);
            }
        }

        public class TrianguloRetangulo
        {
            private double catetobase { get; set; }
            private double catetoaltura { get; set; }
            private double hipotenusa { get; set; }

            public void definebase()
            {
                Console.Write("Informe o valor da base: ");
                this.catetobase = Convert.ToDouble(Console.ReadLine());
            }

            public void definealtura()
            {
                Console.Write("Informe o valor da altura: ");
                this.catetoaltura = Convert.ToDouble(Console.ReadLine());
            }

            public TrianguloRetangulo()
            {
                this.definebase();
                this.definealtura();
                this.definehipotenusa();
            }

            public void definehipotenusa()
            {
                this.hipotenusa = Math.Sqrt(Math.Pow(this.catetobase, 2) + (this.catetoaltura * this.catetoaltura));
            }

            public void mostrahipotenusa()
            {
                Console.WriteLine("O valor da hipotenusa e {0}", this.hipotenusa);
            }

            public double CalculaArea()
            {
                return (this.catetobase * this.catetoaltura) / 2;
            }

            public double CalculaPerimetro()
            {
                return this.catetobase + this.catetoaltura + this.hipotenusa;
            }
        }
        
        static void Main(string[] args)
        {
            double area;
            Retangulo teste = new Retangulo();
            TrianguloRetangulo teste2 = new TrianguloRetangulo();
            area=teste.CalculaArea();
            Console.WriteLine("A area do retangulo e {0}", area);
            Console.WriteLine("O perimetero do retangulo e {0}", teste.CalculaPerimetro());
            Console.WriteLine("A area do triangulo retangulo e {0}", teste2.CalculaArea());
            Console.WriteLine("O perímetro do triângulo retângulo é {0}",teste2.CalculaPerimetro());
            teste2.mostrahipotenusa();
            Console.ReadKey();
        }
    }
}
